Package org.apache.lucene.queries.function.valuesource

# Class SumFloatFunction

java.lang.Object
org.apache.lucene.queries.function.ValueSource
org.apache.lucene.queries.function.valuesource.MultiFloatFunction
org.apache.lucene.queries.function.valuesource.SumFloatFunction

public class SumFloatFunction extends MultiFloatFunction
`SumFloatFunction` returns the sum of its components.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.queries.function.valuesource.MultiFloatFunction

  `sources`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SumFloatFunction(ValueSource[] sources)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected float`
  `func(int doc, FunctionValues[] valsArr)`
  `protected String`
  `name()`

  ### Methods inherited from class org.apache.lucene.queries.function.valuesource.MultiFloatFunction

  `createWeight, description, equals, exists, getValues, hashCode`

  ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

  `asDoubleValuesSource, asLongValuesSource, fromDoubleValuesSource, getSortField, newContext, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SumFloatFunction

    public SumFloatFunction(ValueSource[] sources)

- ## Method Details

  - ### name

    protected String name()
    Specified by:
      `name` in class `MultiFloatFunction`

  - ### func

    protected float func(int doc, FunctionValues[] valsArr) throws IOException
    Specified by:
      `func` in class `MultiFloatFunction`
    Throws:
      `IOException`